HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::IdComponent Member List

This is the complete list of members for H5::IdComponent, including all inherited members.

decRefCount(const hid_t obj_id) const | H5::IdComponent |
decRefCount() const | H5::IdComponent |
getCounter(const hid_t obj_id) const | H5::IdComponent |
getCounter() const | H5::IdComponent |
getHDFObjType(const hid_t obj_id) | H5::IdComponent | `[static]`
getId() const =0 | H5::IdComponent | `[pure virtual]`
IdComponent(const hid_t h5_id) | H5::IdComponent |
IdComponent(const IdComponent &original) | H5::IdComponent |
incRefCount(const hid_t obj_id) const | H5::IdComponent |
incRefCount() const | H5::IdComponent |
operator=(const IdComponent &rhs) | H5::IdComponent |
setId(const hid_t new_id) | H5::IdComponent |
~IdComponent() | H5::IdComponent | `[virtual]`